Package org.apache.lucene.analysis.tokenattributes

## Interface FlagsAttribute

- All Superinterfaces:
    `Attribute`
  All Known Implementing Classes:
    `FlagsAttributeImpl`

      public interface FlagsAttribute
      extends Attribute

  This attribute can be used to pass different flags down the `Tokenizer` chain, e.g. from one TokenFilter to another one.

  This is completely distinct from `TypeAttribute`, although they do share similar purposes. The flags can be used to encode information about the token for use by other `TokenFilter`s.

  WARNING: This API is experimental and might change in incompatible ways in the next release.
    While we think this is here to stay, we may want to change it to be a long.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFlags()` | Get the bitset for any bits that have been set.
    `void` | `setFlags​(int flags)` | Set the flags to a new bitset.

- - ### Method Detail

    - #### getFlags

          int getFlags()

      Get the bitset for any bits that have been set.
      Returns:
        The bits
      See Also:
        `getFlags()`

    - #### setFlags

          void setFlags​(int flags)

      Set the flags to a new bitset.
      See Also:
        `getFlags()`